<template>
    <span class="status" :class="[this.status]">
        {{statusText}}
    </span>
</template>

<script>
    import statusMap from '../maps/status';
	export default {
        name: 'component-pos-operation-status',
        props: {
        	status: {
        		type: String,
                required: true,
            }
        },

        computed: {
        	statusText () {
        		return statusMap[this.status] || '';
            }
        }
	};
</script>

<style scoped>

</style>
